"use strict";
var endpoints_1 = require("./endpoints");
var Client = (function () {
    function Client(options) {
        this.options = options;
        // Endpoints.
        this.accounts = new endpoints_1.AccountsEndpoint(this);
        this.resources = new endpoints_1.ResourcesEndpoint(this);
        this.translations = new endpoints_1.TranslationProjectsEndpoint(this);
    }
    return Client;
}());
exports.Client = Client;
