"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var base_1 = require("../base");
var AccountsEndpoint = (function (_super) {
    __extends(AccountsEndpoint, _super);
    function AccountsEndpoint() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Fetch basic account details and credits balance
     *
     * @return {Promise<object>}
     */
    AccountsEndpoint.prototype.getDetails = function () {
        return this.request('GET', '/account');
    };
    return AccountsEndpoint;
}(base_1.Endpoint));
exports.AccountsEndpoint = AccountsEndpoint;
